=== debian/changelog ===
salliere (0.10-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 15:47:10 +0100

salliere (0.10-3) unstable; urgency=medium

  * debian/control: use debhelper 11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add VCS URLs
  * add java9.patch (thanks to Markus Koschany) (Closes: #874006)
                    (thanks also to Emmanuel Bourg, who suggested a
                     different approach)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Apr 2018 12:23:00 +0100

salliere (0.10-2) unstable; urgency=medium

  * new maintainer (Closes: #762546)
  * debian/control: use debhelper 10
  * debian/control: bump standard to 3.9.8

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 24 Jan 2017 19:23:00 +0100

salliere (0.10-1) unstable; urgency=low

  * New upstream release

 -- Matthew Johnson <mjj29@debian.org>  Sun, 24 Jan 2010 23:23:00 +0000

salliere (0.9-1) unstable; urgency=low

  * New upstream release

 -- Matthew Johnson <mjj29@debian.org>  Fri, 01 Jan 2010 15:37:28 +0000

salliere (0.8-1) unstable; urgency=low

  * New upstream release

 -- Matthew Johnson <mjj29@debian.org>  Sun, 06 Dec 2009 00:29:35 +0000

salliere (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Matthew Johnson <mjj29@debian.org>  Fri, 13 Nov 2009 23:45:11 +0000

salliere (0.7.1-2) unstable; urgency=low

  * Convert to dh 7

 -- Matthew Johnson <mjj29@debian.org>  Sun, 26 Jul 2009 12:11:43 +0100

salliere (0.7.1-1) unstable; urgency=low

  * New Upstream release
   - patch to work on itext 2.x (Closes: #521967)

 -- Matthew Johnson <mjj29@debian.org>  Thu, 25 Jun 2009 08:32:05 +0100

salliere (0.7-1) unstable; urgency=low

  * New Upstream Release
  * Add dependency on libcommons-net-java
  * Change to depends on and build with default-jdk

 -- Matthew Johnson <mjj29@debian.org>  Sun, 08 Mar 2009 22:22:59 +0000

salliere (0.5.2-2) unstable; urgency=low

  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Tue, 05 Feb 2008 09:28:04 +0000

salliere (0.5.2-1) unstable; urgency=low

  * New upstream release. Fixes translations
  * Install the ecl2salliere script

 -- Matthew Johnson <mjj29@debian.org>  Tue, 22 Jan 2008 01:05:31 +0000

salliere (0.5.1-2) unstable; urgency=low

  * Port to use javahelper

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Jan 2008 17:03:57 +0000

salliere (0.5.1-1) unstable; urgency=low

  * Add watch file from watchwiz
  * New Upstream Release
  * Move installation around a bit

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Jan 2008 12:12:20 +0000

salliere (0.5-2) unstable; urgency=low

  * Move binary links to /usr/games

 -- Matthew Johnson <mjj29@debian.org>  Sun, 23 Dec 2007 00:12:50 +0000

salliere (0.5-1) unstable; urgency=low

  * New upstream release.
  * Add dependency on gettext.
  * Change maintainer address

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:21:59 +0000

salliere (0.4-1) unstable; urgency=low

  * New upstream release.
  * First Debian Upload (Closes: #421432)

 -- Matthew Johnson <debian@matthew.ath.cx>  Sun, 19 Aug 2007 20:03:47 +0100

salliere (0.3-1) unstable; urgency=low

  * New upstream release.
  * Add gsalliere package.
  * Change to using binfmt-misc and add dep on jarwrapper
  * Add menu

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 09 May 2007 17:25:19 +0100

salliere (0.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depends/depends on libitext-java

 -- Matthew Johnson <debian@matthew.ath.cx>  Mon,  7 May 2007 13:12:54 +0100

salliere (0.1-1) unstable; urgency=low

  * Initial release

 -- Matthew Johnson <debian@matthew.ath.cx>  Sun, 29 Apr 2007 00:29:07 +0100
