=== debian/control ===
Source: salliere
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11)
  , default-jdk
  , fastjar
  , docbook-to-man
  , libmatthew-debug-java
  , libcsv-java
  , libitext-java
  , gettext
  , javahelper (>= 0.20)
  , libcommons-net-java
Standards-Version: 4.1.3
Section: games
Homepage: http://www.matthew.ath.cx/projects/salliere/
Vcs-Browser: https://salsa.debian.org/alteholz/salliere.git
Vcs-Git: https://salsa.debian.org/alteholz/salliere.git

Package: salliere
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Bridge duplicate scorer
 Salliere is a scoring program for duplicate bridge.  It will take a file of
 pair numbers and contracts then score and match point them for duplicate
 bridge. It will then produce nicely tabulated overall results and
 board-by-board results.

Package: gsalliere
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Bridge duplicate scorer (GUI frontend)
 Salliere is a scoring program for duplicate bridge.  It will take a file of
 pair numbers and contracts then score and match point them for duplicate
 bridge. It will then produce nicely tabulated overall results and
 board-by-board results.
 .
 This package contains the GUI frontend for salliere.
