=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME=/usr/lib/jvm/default-java
VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version/s/Version: \(.*\)-[^-]*$$/\1/p')

%:
	dh $@ --with javahelper

override_dh_auto_test:

override_dh_auto_build:
	make JAR=fastjar JAVAC=${JAVA_HOME}/bin/javac JAVA=java PREFIX=/usr all

override_dh_auto_clean:
	make clean

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_link:
	dh_link -psalliere usr/share/salliere/salliere-$(VERSION).jar usr/games/salliere
	dh_link -pgsalliere usr/share/salliere/gsalliere-$(VERSION).jar usr/games/gsalliere
